= territory_navigation(t(".territory_agents_title"))

= simple_form_for "", url: admin_territory_agents_path(current_territory), html: { method: :get, class: "form-inline" }, wrapper: :inline_form do |f|

  .container-fluid.bg-white.rounded.m-2.p-2
    .m-3.d-flex.justify-content-end
      - search = params[:q].blank? ? "d-none" : ""
      div= link_to t(".reset"), admin_territory_agents_path(current_territory), class: "btn btn-link #{search}"
      = f.input :q, placeholder: t(".search_placeholder"), label: false, input_html: { autocomplete: "off", class: "search-form-control", value: params[:q] }, required: false
      = f.button :submit, t(".search")

    table.table
      thead
        tr
          th = t(".last_name")
          th = t(".first_name")
          th = t(".email")
          th = t(".actions")
      tbody
        - @agents.each do |agent|
          tr
            td = agent.last_name
            td = agent.first_name
            td = agent.email

            td
              .d-flex
                div.mr-3= link_to edit_admin_territory_agent_path(current_territory, agent),
                        title: t(".edit_agents") do
                  i.fa.fa-edit
    .d-flex.justify-content-center
      = paginate @agents, theme: "twitter-bootstrap-4"
